﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <script src="/controller/user/user.js" asp-append-version="true"></script>
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Thêm mới</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Thêm mới người dùng</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                            <a id="submit-create" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            <a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            <a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                        <a href="/cpanel/user/users" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-body">

                        <h4 class="header-title">Thông tin người dùng</h4>
                        <p class="text-muted font-14">
                            Điền đầy đủ thông tin người dùng
                        </p>
                        <form class="needs-validation" id="frmUser" novalidate>
                            <div class="mb-3">
                                <label for="txtFullName" class="form-label">Họ và tên</label>
                                <input type="text" id="txtFullName" name="txtFullName" class="form-control" placeholder="Họ và tên" required>
                                <div class="invalid-feedback" id="errorTxtName"></div>
                                <input type="hidden" id="txtId" name="txtId" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="txtUserName" class="form-label">Tài khoản</label>
                                <input type="text" id="txtUserName" name="txtUserName" class="form-control" placeholder="Tài khoản (username)" required>
                                <div class="invalid-feedback" id="errorTxtUserName"></div>
                            </div>

                            <div class="mb-3" id="devPassword">
                                <label for="txtPassword" class="form-label">Mật khẩu</label>
                                <div class="input-group input-group-merge">
                                    <input type="password" id="txtPassword" class="form-control" placeholder="Mật khẩu (Password)" required>
                                    <div class="input-group-text" data-password="false">
                                        <span class="password-eye"></span>
                                    </div>
                                </div>
                                <div class="invalid-feedback" id="errorTxtPassword"></div>
                            </div>

                            <div class="mb-3">
                                <label for="txtAddress" class="form-label">Địa chỉ</label>
                                <input type="text" id="txtAddress" name="txtAddress" class="form-control" placeholder="Địa chỉ">
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Hình đại diện</label>
                                <input class="form-control" type="file" id="fileImage">
                                <input class="form-control" type="hidden" id="txtHiddenImageUrl">
                                <div class="invalid-feedback" id="errorfileImage"></div>
                            </div>

                            <div class=" mb-3">
                                <div class="form-check">
                                    <input type="checkbox" class="form-check-input" checked="checked" id="chkActive">
                                    <label class="form-check-label" for="chkActive">Kích hoạt / không</label>
                                </div>
                            </div>
                        </form>

                    </div> <!-- end card-body -->
                </div> <!-- end card -->
            </div> <!-- end col -->

            <div class="col-lg-6">
                <div class="card">
                    <div class="card-body">

                        <h4 class="header-title">Danh sách vai trò</h4>
                        <p class="text-muted font-14">
                            Chọn vai trò phù hợp với người dùng
                        </p>

                        <form>
                            <div class="table-responsive mt-4">
                                <table id="btlRoles" class="table table-bordered table-centered mb-0">
                                    <thead class="table-light">
                                        <tr>
                                            <th style="text-align:center">
                                                <input type="checkbox" class="form-check-input" id="chkParentRole">
                                            </th>
                                            <th>Id vai trò</th>
                                            <th>Mã vai trò</th>
                                            <th>Tên vai trò</th>
                                        </tr>
                                    </thead>
                                    <tbody id="btlBodyRoles">
                                    </tbody>
                                </table>
                            </div>
                        </form>

                    </div> <!-- end card-body -->
                </div> <!-- end card -->
            </div> <!-- end col -->

        </div>
    </div>
    <script id="table-template-roles" type="x-tmpl-mustache">
        <tr>
            <td style="text-align:center"><input type="checkbox" class="form-check-input chkRole" onclick="CheckRole()"></td>
            <td style="text-align:center" class="idRole">{{{Id}}}</td>
            <td class="codeRole">{{Code}}</td>
            <td>{{Description}}</td>
        </tr>
    </script>







